#if defined(GL_ES) && !defined(LOWP)
#define LOWP lowp
#define MEDIUMP mediump
#define HIGHP highp
#endif

attribute vec2 a_vertex;

uniform mat4 u_modelview;
uniform vec4 u_TexcoordXfm;

varying vec2 v_texcoord;

void main(){
	v_texcoord = a_vertex.xy * u_TexcoordXfm.xy + u_TexcoordXfm.zw;
	gl_Position = u_modelview[0] * a_vertex.x + u_modelview[1] * a_vertex.y + u_modelview[3];
}
