attribute vec4 a_vertex;
attribute vec2 a_texcoord;
attribute LOWP vec4 a_color;

uniform LOWP float alpha;
uniform mat4 u_modelview;

varying vec2 v_texcoord;
varying LOWP vec4 v_color;

void main()
{
	v_texcoord = a_texcoord;
	v_color = a_color;
	v_color.a = alpha;

	gl_Position = u_modelview * a_vertex;
}
