#ifdef GL_ES
precision highp float;
#endif

#define PI 3.14159265359


uniform float alpha;
uniform float h;
uniform float p;
varying vec2 v_texcoord;



void main(void)
{
	float phase = clamp( 0.5 + (p - v_texcoord.y) / h, 0.0, 1.0);
	float eased = phase - 1.0;
	eased = -(eased * eased * eased * eased - 1.0);
	gl_FragColor.rgb = vec3(sin(PI * eased));
	gl_FragColor.a = alpha;
	
}