#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;
uniform LOWP sampler2D sampler1;

varying vec2 v_texcoord;
varying vec2 v_texcoord1;

void main()
{
	LOWP vec4 diffuse_color = texture2D(sampler, v_texcoord);
	LOWP vec4 matcap_color  = texture2D(sampler1, v_texcoord1);
	LOWP vec4 mask_color = texture2D(sampler1, v_texcoord);

	gl_FragColor = vec4(diffuse_color.rgb + matcap_color.rrr * mask_color.ggg, 1.0);
}
