#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;
uniform float p;
varying vec2 v_texcoord;

const float COLOR_LIMIT = 0.25;
const float A_TRESHOLD = 0.05;

void main(void)
{
	gl_FragColor = texture2D(sampler, v_texcoord);
	gl_FragColor.rgb += (1.0-step(1.0, gl_FragColor.a)) * p * COLOR_LIMIT;
}