attribute vec4 a_vertex;
attribute vec2 a_texcoord;

uniform mat4 u_modelview;
// u_width.x - gradStart; точка начала градиента где alpha=0
// u_width.y - gradWidth; ширина градиента
uniform vec2 u_width;

varying vec2 v_texcoord;
varying MEDIUMP float v_alpha;

void main()
{
	v_texcoord.xy = a_texcoord;
	
	v_alpha = (a_texcoord.y - u_width.x) / u_width.y;
	
	gl_Position = u_modelview * a_vertex;
}
