#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;

varying vec2 v_texcoord;
varying MEDIUMP float v_alpha;

void main()
{
	LOWP vec4 tex = texture2D(sampler, v_texcoord);
	gl_FragColor = tex;
	gl_FragColor.a *= v_alpha;
}
