attribute vec4 a_vertex;
attribute vec2 a_texcoord;
attribute vec2 a_texcoord1;

uniform mat4 u_modelview;
uniform LOWP float u_alpha;
uniform vec2 u_center;
uniform vec2 u_dim;

varying vec2 v_texcoord;
varying vec2 v_maskTexcoord;
varying vec2 v_bubbleTexcoord;

void main()
{
	v_texcoord.xy = a_texcoord;
	v_maskTexcoord = vec2(0.5, 0.5) + (a_texcoord1 - u_center) * u_dim;
	v_bubbleTexcoord = vec2(0.5, 0.5) + (a_texcoord1 - u_center) * u_dim;
	
	gl_Position = u_modelview * a_vertex;
}
