#ifdef GL_ES
precision highp float;
#endif

varying vec2 v_texcoord;

uniform sampler2D sampler;
#if defined(ENGINE_OS_ANDROID)
	uniform LOWP sampler2D sampler1;
	uniform int CombinedTexture;
#endif
uniform float t;

void main(void)
{
	gl_FragColor = texture2D(sampler, v_texcoord);
#if defined(ENGINE_OS_ANDROID)
	if (CombinedTexture == 1) {
		gl_FragColor.a = texture2D(sampler1, v_texcoord).r;
	}
#endif
	gl_FragColor.rgb += t*vec3(0.45,0.45,0.5);
}
