#if defined(GL_ES) && !defined(LOWP)
#define LOWP lowp
#define MEDIUMP mediump
#define HIGHP highp
#endif

attribute vec4 a_vertex;
attribute vec2 a_texcoord;
attribute LOWP vec4 a_color;
attribute LOWP vec4 a_normal;

uniform mat4 u_modelview;

varying vec2 v_texcoord;
varying MEDIUMP vec4 v_color;

void main()
{
	v_color = a_color * a_normal * 4.0;
	v_texcoord = a_texcoord;

	gl_Position = u_modelview * a_vertex;
}
