#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;

#if defined(ENGINE_OS_ANDROID)
	uniform LOWP sampler2D sampler1;
	uniform int CombinedTexture;
#endif

varying MEDIUMP vec2 v_texcoord;
varying LOWP vec4 v_color;
uniform float koef;

void main()
{
	LOWP vec4 color = texture2D(sampler, v_texcoord);
	
	vec3 newColor = vec3(1.0, 0.62, 1.0);
	gl_FragColor.rgb = color.rgb - (color.rgb - newColor) * koef;
#if defined(ENGINE_OS_ANDROID)
	if (CombinedTexture == 1){
		gl_FragColor.a = texture2D(sampler1, v_texcoord).r;
	}
	else
#endif
	{
		gl_FragColor.a = color.a;
	}
}
