attribute vec4 a_vertex;
attribute LOWP vec4 a_color;
attribute vec2 a_texcoord;

uniform mat4 u_modelview;
// tcOffsets = (1.0f / math::GetNextPow2(distRect.width), 1.0f / math::GetNextPow2(distRect.height))
uniform vec2 tcOffsets;

varying vec2 v_texcoord;
varying vec2 v_tex1;
varying vec2 v_tex2;
varying vec2 v_tex3;
varying vec2 v_tex4;

void main()
{
	v_texcoord = a_texcoord;
	v_tex1 = a_texcoord + vec2(tcOffsets.x, 0.0);
	v_tex2 = a_texcoord - vec2(tcOffsets.x, 0.0);
	v_tex3 = a_texcoord + vec2(0.0, tcOffsets.y);
	v_tex4 = a_texcoord - vec2(0.0, tcOffsets.y);
	
	gl_Position = u_modelview * a_vertex;
}
