attribute vec4 a_vertex;
attribute vec2 a_texcoord;
attribute LOWP vec4 a_color;

uniform mat4 u_modelview;
uniform float u_time;

varying vec2 v_texcoord;

void main()
{
	vec4 pos = u_modelview * a_vertex;

	//float shiftScale = max(0.0, 0.75 - 5.0 * abs(a_texcoord.y * 0.5 - u_time * 0.02));
	//float shift = sin(a_texcoord.y * 3.14) * 0.025 * a_color.r * shiftScale;
	
	//float sinArg = clamp(((a_texcoord.y - u_time * 0.29) * 7.0) * 3.14, 0.0, 6.28);
	//float shift = sin(sinArg) * 0.015 * a_color.r;
	//v_texcoord = vec2(a_texcoord.x, a_texcoord.y + shift);

	float sinArg = min(2.0 * 3.1415, max(0.0, (a_texcoord.y * 1.9 - u_time * 0.55 + 0.5) * 2.0 * 3.1415));
	float shift = sin(sinArg) * 0.015 * a_color.r;
	v_texcoord = vec2(a_texcoord.x, a_texcoord.y + shift);
	
	//float p = (a_texcoord.y - u_time * 0.3) * 10.0;
	//float f = -1.0 * p * p * p * (1.0 - p * p) * 0.5 * max(0.0, 2.0 - ceil(abs(p)));
	//v_texcoord = vec2(a_texcoord.x, a_texcoord.y + 0.2 * f);
	

	gl_Position = pos;
}
