#ifdef GL_ES
precision highp float;
#endif

uniform MEDIUMP sampler2D sampler;
varying MEDIUMP vec2 v_texcoord;
varying MEDIUMP vec4 v_texcoord1;

void main()
{
	LOWP vec3 diffuse_color = texture2D(sampler, v_texcoord).rgb;
	LOWP vec3 mcap1 = texture2D(sampler, vec2(0.75,0.625) + v_texcoord1.xy * 0.125).rgb;
	LOWP vec3 mcap2 = texture2D(sampler, vec2(0.8875,0.6375) + v_texcoord1.zw * 0.1).rgb;
	
	gl_FragColor = vec4(diffuse_color + vec3(0.462, 0.215, 0.023) * pow(mcap2.r, 2.0) + mcap1.g * mcap1.b * 0.6, 1.0);
}