#ifdef GL_ES
precision highp float;
#endif

#define MULTIPLEXOR 1000.0

attribute vec4 a_vertex;
attribute vec2 a_texcoord;
attribute vec4 a_color;

uniform mat4 u_modelview;

varying vec2 v_texcoord;
varying float p;

void main(){
	v_texcoord = a_texcoord;
	gl_Position = u_modelview * a_vertex;

	p = a_color.a;
}

