#ifdef GL_ES
	precision highp float;
#endif

uniform sampler2D sampler;
uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler3;

varying vec2 v_texcoord;
varying vec2 v_texcoord1;

void main()
{
	vec4 Matcap = mix(
		texture2D(sampler2, v_texcoord1),
		texture2D(sampler3, v_texcoord1),
		texture2D(sampler1, v_texcoord).r
	);
	
	vec4 Diffuse = texture2D(sampler, v_texcoord);
	
    gl_FragColor = Diffuse + Matcap;
}
