#ifdef GL_ES
	precision highp float;
#endif

uniform sampler2D sampler;
varying vec2 v_texcoord;

uniform vec4 Color;
uniform float Mul;

void main()
{
	vec4 OutColor = texture2D(sampler, v_texcoord);
	OutColor.rgb += Color.rgb * Mul;
	OutColor.a = Color.a * smoothstep(0.0, 0.6, OutColor.a);
    gl_FragColor = OutColor; 
}
