#ifdef GL_ES
precision highp float;
#endif

uniform sampler2D sampler;
#if defined(ENGINE_OS_ANDROID)
	uniform LOWP sampler2D sampler1;
 	uniform int CombinedTexture;
#endif

varying MEDIUMP vec4 v_color;
varying vec2 v_texcoord;
	
void main()
{
	gl_FragColor = v_color * texture2D(sampler, v_texcoord);
#if defined(ENGINE_OS_ANDROID)
 	if (CombinedTexture == 1){
 		gl_FragColor.a = texture2D(sampler1, v_texcoord).r * v_color.a;
 	}
#endif
}