#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;
#if defined(ENGINE_OS_ANDROID)
	uniform LOWP sampler2D sampler1;
	uniform int CombinedTexture;
#endif

uniform float alpha;
uniform float opacity;

varying vec2 v_texcoord;

void main()
{
	gl_FragColor.rgb = vec3(0.0);
#if defined(ENGINE_OS_ANDROID)
	if (CombinedTexture == 1){
		gl_FragColor.a = texture2D(sampler1, v_texcoord).r ;
	}
	else
#endif
	{
		gl_FragColor.a = texture2D(sampler, v_texcoord).a;
	}
	gl_FragColor.a *= alpha * opacity;
}
