#ifdef GL_ES
precision highp float;
#endif

uniform mat4 u_view;

uniform LOWP sampler2D sampler;
uniform LOWP sampler2D sampler1;
varying LOWP vec4 v_color;
varying vec2 v_texcoord;
varying vec2 v_texcoord1;

uniform LOWP vec3 u_fogColor;
varying float v_density;

void main()
{
	LOWP vec4 color = texture2D(sampler, v_texcoord1);
	color = v_color * (texture2D(sampler1, v_texcoord) + color * 0.2);
	color.rgb -= 0.5 * (color.rgb - u_fogColor) * v_density;
	gl_FragColor = color;
}
