#ifdef GL_ES
#ifndef LOWP
#define LOWP lowp
#define MEDIUMP mediump
#endif

precision highp float;
#endif

uniform LOWP sampler2D sampler;
uniform LOWP sampler2D sampler1;

varying vec2 v_texcoord;

void main()
{
	MEDIUMP vec2 distN = (0.02 * texture2D(sampler1, v_texcoord).xy - 0.01);
	gl_FragColor = texture2D(sampler, v_texcoord + distN.xy );
}
