#ifdef GL_ES
precision highp float;
#endif

uniform LOWP vec3 u_fogColor;
uniform float u_alpha;
varying float v_density;

uniform LOWP sampler2D sampler;
varying LOWP vec4 v_color;
varying MEDIUMP vec2 v_texcoord; // размер текстуры max 256х256

void main()
{
	LOWP vec4 color = v_color * texture2D(sampler, v_texcoord);
	
	color.rgb -= (color.rgb - u_fogColor) * v_density;
	gl_FragColor = color;
	gl_FragColor.a *= u_alpha;
}
