#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;

varying vec2 v_texcoord;
varying MEDIUMP vec4 v_color;

void main()
{
	LOWP vec4 ray = texture2D(sampler, v_texcoord) * v_color;
	ray.rgb *= v_color.a;
	gl_FragColor = ray;
}
