#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;

varying vec2 v_texcoord;
varying MEDIUMP float v_alpha;

void main()
{
	LOWP vec4 tex = texture2D(sampler, v_texcoord.xy);
	gl_FragColor = vec4(tex.rgb, clamp(v_alpha, 0.0, 1.0));
}
