#ifdef GL_ES
precision highp float;
#endif

//в этом шейдере нужны только Red- и Green-каналы из текстуры
uniform LOWP sampler2D sampler;

#define COLOR vec3(1.0, 0.0, 0.0)

uniform float p;
uniform float global_a;

varying vec2 v_texcoord;

void main()
{
	vec2 basePx = texture2D(sampler, v_texcoord).rg;
	gl_FragColor.rgb = COLOR;
	gl_FragColor.a = 0.7 * p * basePx.g * (1.0 - basePx.r / p);
	gl_FragColor.a *= global_a;
}