#ifdef GL_ES
precision highp float;
#endif

// Генерирует текстуры первого слоя нефти и янтаря.
// В игре не используется

varying MEDIUMP vec2 v_normal; // Градиент слева-направо
varying MEDIUMP vec2 v_texcoord; // Градиент сверху-вниз
varying LOWP vec4 v_color;

/*
// Четвертый градиент границы слеваа направо (освещенная сторона)
const vec3 color1 = vec3(222, 226, 255);
const vec3 color2 = vec3(163, 163, 205);

// Первая часть границы (темная сторона)
const vec3 color3 = vec3(56, 11, 151);

// Вторая часть границы (магента)
const vec3 color4 = vec3(100, 9, 186);

// Третья часть границы (серая)
const vec3 color5 = vec3(48, 53, 83);

// Нижняя часть, целиком под альфой
const vec3 color6 = vec3(14, 17, 65);

// Средняя часть нижней половины
const vec3 color7 = vec3(14, 17, 65);

// Верхняя часть нижней половины
const vec3 color8 = vec3(26, 29, 97);

// Градиент верхней половины
const vec3 color9 = vec3(35, 28, 119);
const vec3 color10 = vec3(9, 12, 61);
*/

// Четвертый градиент границы слеваа направо (освещенная сторона)
const vec3 color1 = vec3(255, 250, 191);
const vec3 color2 = vec3(255, 235, 118);

// Первая часть границы (темная сторона)
const vec3 color3 = vec3(254, 165, 40);

// Вторая часть границы (магента)
const vec3 color4 = vec3(251, 127, 27);

// Третья часть границы (серая)
const vec3 color5 = vec3(249, 84, 3);


// Нижняя часть, целиком под альфой
const vec3 color6 = vec3(14, 17, 65);

// Средняя часть нижней половины
//const vec3 color7 = vec3(176, 54, 65);
const vec3 color7 = vec3(97, 48, 44);

// Верхняя часть нижней половины
const vec3 color8 = vec3(255, 207, 88);

// Градиент верхней половины
const vec3 color9 = vec3(255, 172, 59);
const vec3 color10 = vec3(254, 138, 41);

void main()
{
	LOWP vec4 color;
	float t;

	LOWP vec4 colo2;

	float p = v_normal.x;

	float k = abs(p);

	float de = 0.587785252; // Вертикальная граница на текстуре: выше градиент вглубь нефти, ниже внешний край нефти

	if(k<=de) {
		k=k/de;
		k=k*k*k;
		k*=k;
		k=k*0.5;
	} else {
		k=1.0-(k-de)/(1.0-de);
		k=k*k*k;
		k*=k;
		k=1.0-k*0.5;
	}

	if(p<=0.0) {
		p=1.0+p;
		p=p*p*p;
		p*=p;
		p=p*0.5;
	} else {
		p=1.0-p;
		p=p*p*p;
		p*=p;
		p=1.0-p*0.5;
	}

	LOWP vec4 cc = mix (vec4(color1.r/255.0*1.0, color1.g/285.0*1.0, color1.b/255.0*1.0, 1.0), vec4(color2.r/255.0*1.0, color2.g/285.0*1.0, color2.b/255.0*1.0, 1.0), v_normal.x);
	color = mix(vec4(color3.r/255.0, color3.g/255.0, color3.b/255.0, 1.0), cc, p);
	colo2 = mix(vec4(color4.r/255.0, color4.g/255.0, color4.b/255.0, 1.0), vec4(color5.r/255.0, color5.g/255.0, color5.b/255.0, 1.0), p);
	color = mix(colo2, color, k);
//	color = vec4(152.0/255.0, 156.0/255.0, 208.0/255.0, 1.0);

	t=v_texcoord.x;
	if(t<0.5) {
		t=t*(1.0/0.8);
		color=vec4(color6.r/255.0, color6.g/255.0, color6.b/255.0, /*0.25*/ 0.0);
	}
	else if(t<1.2) {
		t=(t-0.8)*(1.0/(1.3-0.8));
		t=1.0-t;
		t=t*t;
		t=1.0-t;
		color=mix(vec4(color7.r/255.0, color7.g/255.0, color7.b/255.0, 0.5), color, t);
	}
	else if(t<1.7) {
		t = (t-1.3)*(1.0/(1.7-1.3));
		t=t*t;
		color=mix(color, vec4(color8.r/255.0, color8.g/255.0, color8.b/255.0, 1.0), t);
	}
	else {
		t = (t-2.0)*(1.0/(3.0-1.7));
//		color=mix(vec4(26.0/255.0, 29.0/255.0, 97.0/255.0, 1.0), vec4(9.0/255.0, 12.0/255.0, 61.0/255.0, max(0.0,1.0-t)), min(1.0, t));
		
		//color=mix(vec4(33.0/255.0, 28.0/255.0, 119.0/255.0, 1.0), vec4(9.0/255.0, 12.0/255.0, 61.0/255.0, 1.0), min(1.0, t));
		color=mix(vec4(color9.r/255.0, color9.g/255.0, color9.b/255.0, 1.0), vec4(color10.r/255.0, color10.g/255.0, color10.b/255.0, 1.0), min(1.0, t));
	}

	float a=v_color.a*(1.0/0.2);
	t=(v_color.a-0.5)*(1.0/0.5);
	color=mix(vec4(56.0/255.0, 11.0/255.0, 151.0/255.0, min(1.0,a)), color, max(0.0,t));
	color.a*=v_color.x;

	gl_FragColor = color;// * v_color;
}
