#ifdef GL_ES
precision highp float;
#endif

// Шейдер, рисующий второй слой янтаря и вырезающий у него тень

uniform LOWP sampler2D sampler;
#if defined(ENGINE_OS_ANDROID)
	uniform LOWP sampler2D sampler1;
	uniform int CombinedTexture;
#endif

varying vec2 v_texcoord;
varying LOWP vec4 v_color;

void main()
{
	LOWP vec4 color = texture2D(sampler, v_texcoord);
	MEDIUMP float a = color.a;
#if defined(ENGINE_OS_ANDROID)
	if (CombinedTexture == 1) {
		a = texture2D(sampler1, v_texcoord).r;
	}
#endif
	MEDIUMP float s = smoothstep(0.4, 1.0, a);
	color.a = a * s * s * v_color.a;
	
	gl_FragColor = color;
}
