#ifdef GL_ES
precision highp float;
#endif

// Свечение между первым и вторым слоем янтаря. Текстура обрезается по маске, полученной в шейдерах oilGradient1 и oilGradientBlur

varying MEDIUMP vec2 v_texcoord;
varying MEDIUMP vec2 v_texcoord1;
varying LOWP vec4 v_color;

uniform sampler2D sampler;
uniform sampler2D sampler1;

void main()
{
	LOWP vec4 glowColor = texture2D(sampler1, v_texcoord1); // TODO: эта текстура может быть Combined
	MEDIUMP float maskValue = texture2D(sampler, v_texcoord).g;
	
	MEDIUMP float maskAlpha = smoothstep(0.4, 1.0, maskValue);
	MEDIUMP vec4 resultColor = vec4(glowColor.rgb, glowColor.a * maskAlpha);

	resultColor.a *= v_color.a;
	
	gl_FragColor = resultColor;
}
