#ifdef GL_ES
precision highp float;
#endif

varying vec2 v_texcoord;

uniform LOWP sampler2D sampler;
uniform float t;
#if defined(ENGINE_OS_ANDROID)
	uniform LOWP sampler2D sampler1;
	uniform int CombinedTexture;
#endif

void main(void)
{
	vec4 basePx = texture2D(sampler, v_texcoord);
	//gl_FragColor.rgb = mix(basePx.rgb, vec3(1.0,1.0,1.0), t);
	//gl_FragColor.rgb = mix(basePx.rgb, vec3(0.7,0.7,0.7), t);
	gl_FragColor = texture2D(sampler, v_texcoord);
	gl_FragColor.rgb += t*0.55;
	
	gl_FragColor.a = basePx.a;
	
#if defined(ENGINE_OS_ANDROID)
	if (CombinedTexture == 1){
		gl_FragColor.a = texture2D(sampler1, v_texcoord).r;
	}
	else
#endif
	{
		gl_FragColor.a = basePx.a;
	}
}