#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;

#if defined(ENGINE_OS_ANDROID)
	uniform LOWP sampler2D sampler1;
	uniform int CombinedTexture;
#endif

varying MEDIUMP vec2 v_texcoord;
varying LOWP vec4 v_color;
uniform float koef;

void main()
{
	LOWP vec4 color = texture2D(sampler, v_texcoord);

	vec4 newColor = vec4(0.62, 1.0, 1.0, 1.0); 
	gl_FragColor.rgb = vec3(color.r - (color.r - newColor.r) * koef, color.g - (color.g - newColor.g) * koef, color.b - (color.b - newColor.b) * koef);
	float a = color.a;
#if defined(ENGINE_OS_ANDROID)
	if (CombinedTexture == 1){
		a = texture2D(sampler1, v_texcoord).r;
		gl_FragColor.a = a*(1.0-koef*0.5);
	}
#endif
	gl_FragColor.a = a*(1.0-koef*0.5);
}
