#ifdef GL_ES
precision highp float;
#endif

varying vec2 v_texcoord;

uniform LOWP sampler2D sampler;
uniform vec3 color;
uniform float add;
uniform float alpha;

#define CONTRAST 1.3

void main(void)
{
	gl_FragColor = texture2D(sampler, v_texcoord);
	gl_FragColor.a *= alpha;
	float gray =  0.299 *  gl_FragColor.r + 0.587 * gl_FragColor.g + 0.114 * gl_FragColor.b;	
	gray = ((gray - 0.5) * CONTRAST) + 0.5;
	gl_FragColor.rgb +=  color * add * gray;
	
	//gl_FragColor.rgb = 0.5 + (gl_FragColor.rgb - vec3(0.5))*2.0;
	
	//gl_FragColor.rgb += color * (0.5 + (gray - 0.5) * CONTRAST) * add;
}