#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;
uniform LOWP sampler2D sampler1;

varying vec2 v_texcoord;
varying vec2 v_tex1;
varying vec2 v_tex2;
varying vec2 v_tex3;
varying vec2 v_tex4;

uniform vec4 uClr; // в xy максимальная текстурнаяя координата, в пределах которой можно работать

void main()
{
	MEDIUMP float dx = texture2D(sampler1, v_tex1).x - texture2D(sampler1, v_tex2).x;
	MEDIUMP float dy = texture2D(sampler1, v_tex3).x - texture2D(sampler1, v_tex4).x;
	MEDIUMP vec2 offset = vec2(dx, dy);
	MEDIUMP vec2 light = vec2(0.5, 0.5);
	LOWP vec4 color = texture2D(sampler, min(v_texcoord + offset * 0.1, uClr.xy));
	gl_FragColor = color + vec4(clamp(dot(offset, light), 0.0, 1.0) * vec3(0.79, 0.96, 0.99), 0.0);
	gl_FragColor.a = uClr.a;
}
