#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;

varying vec2 v_texcoord;
varying MEDIUMP float v_alpha;
varying LOWP vec4 v_color;

void main()
{
	LOWP vec4 tex = texture2D(sampler, v_texcoord);
	gl_FragColor = tex * v_alpha * v_color;
}
