#ifdef GL_ES
precision highp float;
#endif

varying vec2 v_texcoord;

uniform float p;
uniform float a;

uniform LOWP sampler2D sampler;

void main(void)
{
	float fastp = p * 1.7;
	gl_FragColor = texture2D(sampler, v_texcoord);
	gl_FragColor.rg += (1.0 - gl_FragColor.rg) * p;
	gl_FragColor.b += (1.0 - gl_FragColor.b) * fastp;
	gl_FragColor.a *= a;
}