#ifdef GL_ES
#ifndef LOWP
#define LOWP lowp
#define MEDIUMP mediump
#endif
#endif

attribute vec4 a_vertex;
attribute vec2 a_texcoord;
attribute LOWP vec4 a_color;

uniform mat4 u_modelview;

varying MEDIUMP vec3 v_texcoord_lineT;
varying LOWP vec3 v_amp_highl_alpha;

void main()
{
	gl_Position = a_vertex.x * u_modelview[0] + a_vertex.y * u_modelview[1] + u_modelview[3];

	v_texcoord_lineT.xyz = vec3(a_texcoord.xy, a_vertex.z);

	v_amp_highl_alpha = a_color.rgb;
	v_amp_highl_alpha.g += 1.0;
}
