attribute vec4 a_vertex;
attribute MEDIUMP vec2 a_texcoord;
attribute MEDIUMP vec2 a_texcoord1;
attribute LOWP vec4 a_color;

uniform mat4 u_modelview;

varying MEDIUMP vec2 v_texcoord;
varying MEDIUMP vec2 v_texcoord1;
varying LOWP vec4 v_color;

void main()
{
	v_texcoord = a_texcoord;
	v_texcoord1 = a_texcoord1;
	v_color = a_color;

	gl_Position = u_modelview * a_vertex;
}
