#ifdef GL_ES
precision highp float;
#endif

uniform LOWP sampler2D sampler;
#if defined(ENGINE_OS_ANDROID)
	uniform LOWP sampler2D sampler1;
	uniform int CombinedTexture;
#endif

varying vec2 v_texcoord;
varying LOWP vec4 v_color;

const float ABS_OFFSET = 0.12;

void main(void)
{
	LOWP vec4 offsetColor;
	offsetColor = texture2D(sampler, v_texcoord);
#if defined(ENGINE_OS_ANDROID)
	if (CombinedTexture == 1){
		offsetColor.a = texture2D(sampler1, v_texcoord).r ;
	}
#endif
	
	gl_FragColor = offsetColor;
	gl_FragColor.a *= v_color.a;
}