#ifdef GL_ES
precision highp float;
#endif

uniform LOWP vec3 u_fogColor;
varying float v_density;

uniform LOWP sampler2D sampler;
varying LOWP vec4 v_color;
varying MEDIUMP vec2 v_texcoord;

void main()
{
	LOWP vec4 color = v_color * texture2D(sampler, v_texcoord);
	
	HIGHP float u_Emission = 0.0;
	color.rgb += u_Emission * color.rgb;
	
	color.rgb -= (color.rgb - u_fogColor) * v_density;
	gl_FragColor = color;
}
