attribute vec4 a_vertex;
attribute LOWP vec4 a_color;
attribute vec2 a_texcoord;

uniform mat4 u_modelview;
uniform vec4 globalTransform;

varying vec2 v_texcoord;
varying vec2 v_texcoord1;

void main()
{
	gl_Position = u_modelview * a_vertex;

	v_texcoord  = a_texcoord;
	v_texcoord1 = a_vertex.xy;
}
